Page MenuHomePhabricator

TitlesMultiselectWidget for Partial blocks suggests and accepts for more pages than the maximum
Closed, ResolvedPublic

Description

Problem: The 'Pages' text input box suggests and accepts for 11 or more pages, when the maximum is 10. These are rejected on submission, but this is bad design.


Acceptance criteria

  • The error messages should continue to appear if the admin somehow manages to get these through
  • The 'Pages' input field should not suggest more than 10 pages
  • The 'Pages' input field should not accept more than 10 pages

Note that we may adjust the maximum value in the future: T202776: Determine then implement page limit for partial blocks


Notes: TagMultiSelect should have a limit. Needs to be fixed in upstream OOUI.

Event Timeline

TBolliger created this task.Nov 2 2018, 8:56 PM
Restricted Application added subscribers: MGChecker, Aklapper. · View Herald TranscriptNov 2 2018, 8:56 PM
TBolliger assigned this task to Mooeypoo.Nov 2 2018, 8:56 PM
TBolliger triaged this task as Normal priority.
TBolliger moved this task from Backlog to User blocking on the MediaWiki-User-management board.

Change 471364 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[oojs/ui@master] TagMultiSelectWidget: Add a 'limit' configuration option

https://gerrit.wikimedia.org/r/471364

Mooeypoo moved this task from Backlog to Doing on the OOUI board.Nov 2 2018, 11:56 PM
Mooeypoo moved this task from Ready to Review on the Anti-Harassment (AHT Sprint 32) board.

Change 471364 merged by jenkins-bot:
[oojs/ui@master] TagMultiSelectWidget: Add a 'limit' configuration option

https://gerrit.wikimedia.org/r/471364

Library part of this done; once it's pulled through (in a couple of hours' time) we'll just need to configure the limit value.

Change 472080 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Update OOUI to v0.29.4

https://gerrit.wikimedia.org/r/472080

Change 472080 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.29.4

https://gerrit.wikimedia.org/r/472080

TBolliger updated the task description. (Show Details)Nov 7 2018, 6:20 PM
dbarratt claimed this task.Nov 9 2018, 12:50 AM
dbarratt moved this task from Review to In progress on the Anti-Harassment (AHT Sprint 33) board.
dbarratt added a subscriber: Mooeypoo.

The 'limit' value (renamed 'tagLimit' in T209057) is passed through in the patch on T208626.

Change 472451 had a related patch set uploaded (by Dbarratt; owner: Tchanders):
[mediawiki/core@master] TitlesMultiselectWidget: pass through additional configs

https://gerrit.wikimedia.org/r/472451

dbarratt reassigned this task from dbarratt to Tchanders.Nov 9 2018, 3:41 PM
dbarratt moved this task from In progress to Review on the Anti-Harassment (AHT Sprint 33) board.
dbarratt added a subscriber: dbarratt.

Change 472451 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/core@master] TitlesMultiselectWidget: pass through additional configs

https://gerrit.wikimedia.org/r/472451

Change 472451 merged by jenkins-bot:
[mediawiki/core@master] TitlesMultiselectWidget: pass through additional configs

https://gerrit.wikimedia.org/r/472451

dbarratt closed this task as Resolved.Nov 14 2018, 7:55 PM